Package com.google.android.exoplayer2.source

## Interface MaskingMediaPeriod.PrepareListener

- Enclosing class:
    MaskingMediaPeriod

      public static interface MaskingMediaPeriod.PrepareListener

  Listener for preparation events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPrepareComplete​(MediaSource.MediaPeriodId mediaPeriodId)` | Called when preparing the media period completes.
    `void` | `onPrepareError​(MediaSource.MediaPeriodId mediaPeriodId, IOException exception)` | Called the first time an error occurs while refreshing source info or preparing the period.

- - ### Method Detail

    - #### onPrepareComplete

          void onPrepareComplete​(MediaSource.MediaPeriodId mediaPeriodId)

      Called when preparing the media period completes.

    - #### onPrepareError

          void onPrepareError​(MediaSource.MediaPeriodId mediaPeriodId,
                              IOException exception)

      Called the first time an error occurs while refreshing source info or preparing the period.